%define name	gnomeicu
%define version	0.64
%define release	1
%define serial	3

Summary:	GnomeICU is a clone of Mirabilis' popular ICQ written with GTK.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Communications
URL:		http://gnomeicu.gdev.net
Vendor:		Jeremy Wise <jwise@pathwaynet.com>
Source:		ftp://gnomeicu.gdev.net/pub/gnomeicu/%{name}-%{version}.tar.gz
Distribution:	Freshmeat RPMs
Requires:	gtk+ >= 1.2.0
Packager:	Ryan Weaver <ryanw@infohwy.com>
BuildRoot:	/tmp/%{name}-%{version}

%description
	GnomeICU is a clone of Mirabilis' popular ICQ written with GTK.
The original source was taken from Matt Smith's mICQ.  This is ment as
a replacement for the JavaICQ, which is slow and buggy.  If you would
like to contribute, please contact Jeremy Wise ( jwise@pathwaynet.com ).

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr

%build
make

%install
make prefix=$RPM_BUILD_ROOT/usr install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO convertrc.pl
/usr/bin/gnomeicu
/usr/etc/CORBA/servers/GnomeICU.gnorba
/usr/share/applets/Network/GnomeICU.desktop
/usr/share/pixmaps/*

%changelog
* Mon May 24 1999 Ryan Weaver <ryanw@infohwy.com>
  [gnomeicu-0.64-1]
- Updated to full release of version 0.64.

* Mon May 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [gnomeicu-0.64pre-1]
- Updated to pre release of version 0.64.

* Mon Apr 12 1999 Ryan Weaver <ryanw@infohwy.com>
  [gnomeicu-0.63-1]
- Updated to full release of version 0.63.

* Thu Apr  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [gnomeicu-0.63pre-1]
- Updated to pre-release of version 0.63.

* Mon Mar 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gnomeicu-0.62b-1]
- Small Updates/Fixes... See ChangeLog

* Mon Mar  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [gnomeicu-0.62a-1]
- 0.62 was missing convertrc.pl, which has been added, and the icons have
  been changed to some very nice looking ones.
- Also a few bug fixes, of course.

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [gnomeicu-0.62-1]
- Change name from gtkicq to gnomeicu.
- Change to gnome only version.
- See ChangeLog for more information.

* Thu Feb 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtkicq-0.60-2]
- Building against gnome 0.99.8 and gtk+ 1.1.15

* Thu Feb 11 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtkicq-0.60-1]
- Compiles with gtk+ >= 1.1.12 only.
- See ChangeLog in doc dir.

* Fri Jan 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtkicq-0.58pre-1]
- Moved from using Fryguy_ to Ryan Weaver
- Upgraded to 0.58pre
- This is exactly the same as 0.57 but will build on gtk+ >= 1.1.5

* Tue Nov 10 1998 Fryguy_ <fryguy@falsehope.com>
  [gtkicq-0.57-1]
- Upgraded to 0.57 full release
- Changes From Version 0.56 -
  * Memory leaks plugged
  * Messages now sent to desired recipients all the time
  * Mode problems with Mirabilis' ICQ 99a fixed
  * Fixed bug that caused crashing when getting extended info

* Fri Oct 23 1998 Fryguy_ <fryguy@falsehope.com>
  [gtkicq-0.56-1]
- Upgraded to 0.56 full release
- Changes From Version 0.55 -
  * More Bug fixes
  * Added -c <config-file> command line option
  * Working GNOME applet
  * Added -a command line option (run without applet)
  * Size of window can now be changed, either smaller or bigger
  * Fixed remove user bug
  * Removed support/ directory, and no longer installing libs
  * Cannot send 0 length message
  * Added configuration window (Paul Laufer <PELaufer@CSUPomona.edu>)
  * Upgraded to V4 of the protocol (for some reason, only for Gnome)
